=== debian/watch ===
version=3
http://www.acme.com/software/micro_httpd/ .*micro_httpd_(.+).tar.gz
