## micro-httpd 20140814

=== debian/changelog ===
micro-httpd (20140814-3) unstable; urgency=medium

  [ Martin-Éric Racine ]
  * Bump debhelper-compat to 13.
  * Fix Lintian override syntax.
  * Fix "Lintian: W: missing Depends on update-inetd" (Closes: #997691).
  * Fix "sends invalid HTTP when listing unreadable dirs" (Closes: #1027978).
    Implemented the first alternative proposed in the bug report i.e.
    redirect standard error to systemd journal.

  [ Sudip Mukherjee ]
  * Update Standards-Version to 4.6.2

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 06 May 2024 13:16:18 +0100

micro-httpd (20140814-2.1) unstable; urgency=medium

  * Non-Maintainer Upload.
  * Fixed "cannot configure the root directory if started by systemd
    instead of inetd" by adding a NEWS item (Closes: #983232).
  * Fixed "systemd install dependency fails if binding to IP other than
    0.0.0.0" by adding FreeBind=true to the socket unit (Closes: #991324).
    Thanks to Ansgar Burchardt for the solution.
  * Fixed "micro-httpd@.service:6: Special user nobody configured, this is
    not safe!" by using the canonical www-data user (Closes: #991884).
  * Ran 'quilt refresh' which defuzzed 30_makefile-strip-fix.dpatch

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 14 Oct 2021 16:02:47 +0300

micro-httpd (20140814-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI.
  * Use secure URI in Homepage field.

  [ Sudip Mukherjee ]
  * Update Standards-Version to 4.5.0.
  * Rename NEWS.Debian to NEWS.
  * Use https with watch file.
  * Remove path from maintainer script.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 06 Feb 2020 18:40:35 +0000

micro-httpd (20140814-1) unstable; urgency=medium

  * Update to upstream 20140814 (Closes: #911932)
  * Add Rules-Requires-Root
  * Use https in copyright

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 15 Dec 2019 00:40:00 +0000

micro-httpd (20051212-16) unstable; urgency=medium

  * Update Maintainer (Closes: #920132)
  * Update compat level to 12
  * Update Standards-Version to 4.4.1
  * Update Vcs to github
  * Update to correct manpage section
  * Option --group is not needed with update-inetd --remove (Closes: #909503)
  * Fix the postinst script to create systemd symlinks
  * Fix crosscompiling of source

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 01 Dec 2019 00:21:43 +0000
