=== debian/control ===
Source: micro-httpd
Section: httpd
Priority: optional
Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://github.com/sudipm-mukherjee/micro-httpd.git
Vcs-Git: https://github.com/sudipm-mukherjee/micro-httpd.git
Homepage: https://www.acme.com/software/micro_httpd

Package: micro-httpd
Architecture: any
Depends: update-inetd | inet-superserver | openbsd-inetd | inetutils-inetd | rlinetd | xinetd, ${misc:Depends}, ${shlibs:Depends}
Suggests: micro-proxy
Provides: httpd
Description: really small HTTP server
 A very small HTTP server implemented in 150 lines of code.
 Program can be used to serve HTTPS by wrapping it with stunnel.
 It implements all the basic features of an HTTP server, including:
 .
   * Security against ".." filename snooping
   * The common MIME types
   * Trailing-slash redirection
   * index.html
   * Directory listings
