=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 PACKAGE = micro-httpd
 BIN	= micro_httpd
+CC	= $(DEB_HOST_GNU_TYPE)-gcc
 
 include debian/debian-vars.mk
 
@@ -30,11 +31,11 @@
 	rm -f $(MAN8DIR)/*
 	$(INSTALL_DATA) debian/*.8 $(MAN8DIR)
 
-override_dh_systemd_enable:
-	dh_systemd_enable micro-httpd\@.service micro-httpd.socket
+override_dh_installsystemd:
+	dh_installsystemd micro-httpd\@.service micro-httpd.socket
 
 %:
-	dh $@ --with systemd
+	dh $@
 
 .PHONY: man
